Bug 6207 - Video indexing failed in SDK (Tracker issue?)
: Video indexing failed in SDK (Tracker issue?)
Status: RESOLVED FIXED
Product: Development platform
SDK
: 5.0-final
: x86 Linux
: Low normal (vote)
: 5.0-update3
Assigned To: Jaya Surya
: sdk-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-16 16:12 UTC by Julian Andres Klode
Modified: 2010-01-14 18:02 UTC (History)
3 users (show)

See Also:


Attachments
Output of tracker-meta-folder (991 bytes, text/plain)
2009-11-17 15:41 UTC, Julian Andres Klode
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Julian Andres Klode (reporter) 2009-11-16 16:12:35 UTC
SOFTWARE VERSION: 5.0 final SDK
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
Place a video in /home/<YOURNAME>/MyDocs/.videos and go to Videos in the media
player.

EXPECTED OUTCOME:
The video is listed there.

ACTUAL OUTCOME:
It states that there are no videos.

REPRODUCIBILITY: always

EXTRA SOFTWARE INSTALLED:
ogg-support, among others.

OTHER COMMENTS:
I would like to test video playback and management, but it does not even
recognize my video. Opening the video from the filemanager causes it to play in
the Media Player (well, if you patch the renderer to use ximage instead of
xvimage [no Xv in Xephyr?]).

I'm just guessing with the product and the component, it could also be
tracker's fault.

Information about the video from gst-tagread inside scratchbox:

CONTAINER TAGS:
                 duration: 2479177142857
         container format: AVI

STREAM #1 TAGS:
              video codec: DivX MPEG-4 Version 5
                  encoder: MEncoder UNKNOWN-4.4.1
         container format: AVI
                    width: 576
                   height: 324
                framerate: 25/1
                 duration: 2479160000000

STREAM #2 TAGS:
              audio codec: MPEG 1 Audio, Layer 3 (MP3)
                  bitrate: 128000
                  has crc: FALSE
             channel mode: joint-stereo
                  encoder: MEncoder UNKNOWN-4.4.1
         container format: AVI
                 channels: 2
                     rate: 44100
                 duration: 2479177142857

Please note that video1.mpg and video2.avi are not recognized as well.


User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US) AppleWebKit/532.5
(KHTML, like Gecko) Chrome/4.0.248.0 Safari/532.5
Comment 1 Andre Klapper maemo.org 2009-11-17 14:39:21 UTC
Thanks for reporting this.

Just to check, "gst-launch playbin2 uri=file:///home/user/MyDocs/filename.avi"
(provided by gstreamer0.10-tools) works fine?

Is this a specific video? Is it available online somewhere, or can you send it
by email to me?

How long did you wait?
I think tracker has some settings to not be too aggressive with indexing *on
the device*, I wonder if that might be an issue here...
For your interest, settings are in $HOME/.config/tracker/*.cfg
Comment 2 Julian Andres Klode (reporter) 2009-11-17 15:41:59 UTC
Created an attachment (id=1591) [details]
Output of tracker-meta-folder

> Just to check, "gst-launch playbin2[...]" works fine?
Yes, it does. 

> Is this a specific video? Is it available online somewhere[...]?
No, it's a video recorded from television by someone else. But I just put the
Simpsons Movie trailer from http://www.h264info.com/clips.html into the
directory and it does not appear as well.

> How long did you wait?
More than a week. Tracker is not the problem. As you can see in the attachment,
the test video I added a few minutes ago is correctly indexed; but it is still
not listed in the media player.
Comment 3 Andre Klapper maemo.org 2009-11-17 21:56:18 UTC
Moving to SDK.
Comment 4 Jaya Surya nokia 2009-12-18 10:59:51 UTC
Fix is available in next public SDK
Comment 5 Julian Andres Klode (reporter) 2009-12-28 15:29:38 UTC
Just in case, is the fix in an open source component and already in any
repository, or is this a closed-source fix?